Loyalty customers

The customers of your loyalty programs, with their stamps. Expired stamps count as 0, as the card shows them.

GET https://neoscrew.website/api/loyalty-customers/
curl --request GET \
--url 'https://neoscrew.website/api/loyalty-customers/' \
--header 'Authorization: Bearer {api_key}'
Parameters Detalles Descripción
program_id Optional Integer Only the customers of this program.
marketing_consent Optional Integer Only the customers who accepted (1) or not (0) receiving offers.
order_by Optional String What field to order the results by. Allowed values are: customer_id , name , points , rewards , last_scan_datetime , datetime.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "program_id": 1,
            "name": "Ana",
            "email": "ana@example.com",
            "phone": null,
            "points": 3,
            "rewards": 1,
            "marketing_consent": 0,
            "google_wallet": 0,
            "card_url": "https://neoscrew.website/loyalty-card/{card_key}",
            "last_scan_datetime": "2026-11-09 16:11:38",
            "datetime": "2026-11-09 16:11:38"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    }
}
GET https://neoscrew.website/api/loyalty-customers/{customer_id}
curl --request GET \
--url 'https://neoscrew.website/api/loyalty-customers/{customer_id}' \
--header 'Authorization: Bearer {api_key}'
{
    "data": {
        "id": 1,
        "program_id": 1,
        "name": "Ana",
        "email": "ana@example.com",
        "phone": null,
        "points": 3,
        "rewards": 1,
        "marketing_consent": 0,
        "google_wallet": 0,
        "card_url": "https://neoscrew.website/loyalty-card/{card_key}",
        "last_scan_datetime": "2026-11-09 16:11:38",
        "datetime": "2026-11-09 16:11:38"
    }
}
POST https://neoscrew.website/api/loyalty-customers
curl --request POST \
--url 'https://neoscrew.website/api/loyalty-customers' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'program_id=1' \
--data-urlencode 'name=Ana' \
--data-urlencode 'email=ana@example.com'
Parameters Detalles Descripción
program_id Required Integer The program the card belongs to.
name Required String The name of the customer.
email Optional String The card is sent to this email.
phone Optional String The phone of the customer.
marketing_consent Optional Integer 1 only when the customer accepted receiving offers. Defaults to 0.
{
    "data": {
        "id": 1,
        "card_url": "https://neoscrew.website/loyalty-card/{card_key}"
    }
}
DELETE https://neoscrew.website/api/loyalty-customers/{customer_id}
curl --request DELETE \
--url 'https://neoscrew.website/api/loyalty-customers/{customer_id}' \
--header 'Authorization: Bearer {api_key}'